searchData={"items":[{"type":"module","title":"Lume","doc":"Lume is a simple, modern UI component library for Phoenix LiveView.","ref":"Lume.html"},{"type":"module","title":"Lume.Components.Avatar","doc":"A simple avatar component that displays either an image or fallback initials.","ref":"Lume.Components.Avatar.html"},{"type":"module","title":"Features - Lume.Components.Avatar","doc":"* Supports image avatars with fallback to initials\n  * Multiple sizes (small, medium, large)\n  * Shape variants (circle or rounded square)\n  * Optional status indicator dot\n  * Dark mode support\n  * Automatic error handling for failed image loads\n  * Customizable fallback colors","ref":"Lume.Components.Avatar.html#module-features"},{"type":"module","title":"Examples - Lume.Components.Avatar","doc":"<.avatar\n      alt=\"John Doe\"\n      fallback=\"JD\"\n      size={:md}\n      image_url=\"path/to/image.jpg\"\n    />\n\n    # With status indicator\n    <.avatar\n      alt=\"Alan B\"\n      fallback=\"AB\"\n      show_dot\n      dot_variant={:success}\n    />\n\n    # Custom fallback colors\n    <.avatar\n      alt=\"User\"\n      fallback=\"U\"\n      fallback_class=\"bg-indigo-100 text-indigo-600\"\n    />\n\n    # Square variant with custom size\n    <.avatar\n      alt=\"User\"\n      fallback=\"U\"\n      shape={:square}\n      class=\"h-16 w-16\"\n    />","ref":"Lume.Components.Avatar.html#module-examples"},{"type":"function","title":"Lume.Components.Avatar.avatar/1","doc":"Renders an avatar component.","ref":"Lume.Components.Avatar.html#avatar/1"},{"type":"function","title":"Attributes - Lume.Components.Avatar.avatar/1","doc":"* `image_url` - Optional URL to the avatar image\n  * `alt` - Required alt text for the avatar\n  * `fallback` - Required text to display when image is missing or loading fails\n  * `fallback_class` - Custom classes for fallback background and text colors\n  * `size` - Size variant (`:sm`, `:md`, `:lg`), defaults to `:md`\n  * `shape` - Shape variant (`:circle`, `:square`), defaults to `:circle`\n  * `show_dot` - Whether to show a status dot indicator\n  * `dot_variant` - Status dot color variant, defaults to `:success`\n  * `class` - Additional CSS classes to apply to the avatar","ref":"Lume.Components.Avatar.html#avatar/1-attributes"},{"type":"function","title":"Attributes - Lume.Components.Avatar.avatar/1","doc":"* `image_url` (`:string`) - Defaults to `nil`.\n* `alt` (`:string`) (required)\n* `fallback` (`:string`) (required)\n* `fallback_class` (`:string`) - Defaults to `\"bg-gray-200 text-gray-900\"`.\n* `size` (`:atom`) - Defaults to `:md`.\n* `shape` (`:atom`) - Defaults to `:circle`.\n* `show_dot` (`:boolean`) - Defaults to `false`.\n* `dot_variant` (`:atom`) - Defaults to `:success`.\n* `class` (`:string`) - Defaults to `nil`.","ref":"Lume.Components.Avatar.html#avatar/1-attributes"},{"type":"module","title":"Lume.Components.Badge","doc":"A simple badge component for status indicators, labels, and counts.","ref":"Lume.Components.Badge.html"},{"type":"module","title":"Features - Lume.Components.Badge","doc":"* Multiple color variants (default, primary, success, warning, error)\n  * Three sizes (small, medium, large)\n  * Shape options (pill or flat)\n  * Optional border styling\n  * Optional leading dot indicator\n  * Optional icon\n  * Dark mode support","ref":"Lume.Components.Badge.html#module-features"},{"type":"module","title":"Examples - Lume.Components.Badge","doc":"# Basic badge\n    <.badge>Default</.badge>\n\n    # Primary badge with icon\n    <.badge variant={:primary} icon=\"hero-star\">\n      Featured\n    </.badge>\n\n    # Success badge with dot indicator\n    <.badge variant={:success} show_dot>\n      Online\n    </.badge>\n\n    # Warning badge with flat shape and border\n    <.badge\n      variant={:warning}\n      shape={:flat}\n      bordered\n    >\n      Beta\n    </.badge>\n\n    # Large error badge with icon\n    <.badge\n      variant={:error}\n      size={:lg}\n      icon=\"hero-exclamation-circle\"\n    >\n      Critical\n    </.badge>","ref":"Lume.Components.Badge.html#module-examples"},{"type":"function","title":"Lume.Components.Badge.badge/1","doc":"Renders a badge component.","ref":"Lume.Components.Badge.html#badge/1"},{"type":"function","title":"Attributes - Lume.Components.Badge.badge/1","doc":"* `variant` - Color variant (`:default`, `:primary`, `:success`, `:warning`, `:error`), defaults to `:default`\n  * `size` - Size variant (`:sm`, `:md`, `:lg`), defaults to `:md`\n  * `shape` - Shape variant (`:pill`, `:flat`), defaults to `:pill`\n  * `bordered` - Whether to show a border matching the text color, defaults to `false`\n  * `show_dot` - Whether to show a leading dot indicator, defaults to `false`\n  * `icon` - Optional icon name (from heroicons)\n  * `class` - Additional CSS classes to apply to the badge","ref":"Lume.Components.Badge.html#badge/1-attributes"},{"type":"function","title":"Slots - Lume.Components.Badge.badge/1","doc":"* `inner_block` - Required. The content to display inside the badge","ref":"Lume.Components.Badge.html#badge/1-slots"},{"type":"function","title":"Attributes - Lume.Components.Badge.badge/1","doc":"* `variant` (`:atom`) - Defaults to `:default`.\n* `size` (`:atom`) - Defaults to `:md`.\n* `shape` (`:atom`) - Defaults to `:pill`.\n* `bordered` (`:boolean`) - Defaults to `false`.\n* `icon` (`:string`) - Defaults to `nil`.\n* `show_dot` (`:boolean`) - Defaults to `false`.\n* `class` (`:string`) - Defaults to `nil`.","ref":"Lume.Components.Badge.html#badge/1-attributes"},{"type":"function","title":"Slots - Lume.Components.Badge.badge/1","doc":"* `inner_block` (required)","ref":"Lume.Components.Badge.html#badge/1-slots"},{"type":"module","title":"Lume.Components.DropdownMenu","doc":"A flexible dropdown menu component with smooth transitions.","ref":"Lume.Components.DropdownMenu.html"},{"type":"module","title":"Features - Lume.Components.DropdownMenu","doc":"* Flexible trigger content through slots (button, text, avatar, etc.)\n  * Menu items with optional icons and variants\n  * Smooth transitions using Phoenix.LiveView.JS\n  * Dark mode support\n  * Configurable alignment (left, right)\n  * Multiple size variants\n  * Keyboard navigation (up/down arrows, home/end)\n  * Click outside to close","ref":"Lume.Components.DropdownMenu.html#module-features"},{"type":"module","title":"Examples - Lume.Components.DropdownMenu","doc":"# Basic dropdown with regular navigation\n    <.dropdown_menu id=\"user-menu\">\n      <:trigger>\n         Options \n      </:trigger>\n      <:item>\n        <.link navigate={~p\"/profile\"} class=\"w-full\">\n          <.icon name=\"hero-user\" />\n          Profile\n        </.link>\n      </:item>\n      <:item>\n        <.link patch={~p\"/settings\"} class=\"w-full\">\n          <.icon name=\"hero-cog-6-tooth\" />\n          Settings\n        </.link>\n      </:item>\n      <:item variant={:error}>\n         \n          <.icon name=\"hero-arrow-right-on-rectangle\" />\n          Sign out\n         \n      </:item>\n    </.dropdown_menu>\n\n    # With avatar trigger and right alignment\n    <.dropdown_menu id=\"profile-menu\" align={:right} size={:sm}>\n      <:trigger>\n        <.avatar\n          alt=\"John Doe\"\n          fallback=\"JD\"\n          image_url=\"/images/avatar.jpg\"\n        />\n      </:trigger>\n      <:item>\n        <.link navigate={~p\"/profile\"} class=\"w-full\">Your Profile</.link>\n      </:item>\n      <:item>\n         Settings \n      </:item>\n      <:item variant={:error}>\n         Sign out \n      </:item>\n    </.dropdown_menu>","ref":"Lume.Components.DropdownMenu.html#module-examples"},{"type":"function","title":"Lume.Components.DropdownMenu.dropdown_menu/1","doc":"Renders a dropdown menu component.","ref":"Lume.Components.DropdownMenu.html#dropdown_menu/1"},{"type":"function","title":"Attributes - Lume.Components.DropdownMenu.dropdown_menu/1","doc":"* `id` - Required unique identifier for the dropdown\n  * `align` - Alignment of the menu (`:left` or `:right`), defaults to `:left`\n  * `size` - Size variant (`:sm`, `:md`, `:lg`), defaults to `:md`\n  * `class` - Additional CSS classes to apply to the menu container","ref":"Lume.Components.DropdownMenu.html#dropdown_menu/1-attributes"},{"type":"function","title":"Slots - Lume.Components.DropdownMenu.dropdown_menu/1","doc":"* `trigger` - Required. The content that triggers the dropdown\n  * `item` - Required. One or more menu items to display\n    * `variant` - Optional color variant (`:default` or `:error`)\n    * `disabled` - Optional boolean to disable the item","ref":"Lume.Components.DropdownMenu.html#dropdown_menu/1-slots"},{"type":"function","title":"Attributes - Lume.Components.DropdownMenu.dropdown_menu/1","doc":"* `id` (`:string`) (required)\n* `align` (`:atom`) - Defaults to `:left`.\n* `size` (`:atom`) - Defaults to `:md`.\n* `class` (`:string`) - Defaults to `nil`.","ref":"Lume.Components.DropdownMenu.html#dropdown_menu/1-attributes"},{"type":"function","title":"Slots - Lume.Components.DropdownMenu.dropdown_menu/1","doc":"* `trigger` (required)\n* `item` (required) - Accepts attributes:\n\n  * `variant` (`:atom`) - Must be one of `:default`, or `:error`.\n  * `disabled` (`:boolean`)","ref":"Lume.Components.DropdownMenu.html#dropdown_menu/1-slots"},{"type":"function","title":"Lume.Components.DropdownMenu.hide_menu/1","doc":"Hides the dropdown menu.","ref":"Lume.Components.DropdownMenu.html#hide_menu/1"},{"type":"function","title":"Lume.Components.DropdownMenu.toggle_menu/1","doc":"Toggles the visibility of the dropdown menu.","ref":"Lume.Components.DropdownMenu.html#toggle_menu/1"},{"type":"module","title":"Lume.Components.Navbar","doc":"A flexible navigation bar component for application headers.","ref":"Lume.Components.Navbar.html"},{"type":"module","title":"Features - Lume.Components.Navbar","doc":"* Responsive design with mobile menu toggle\n  * Customizable heading\n  * Flexible right-side content through slots\n  * Mobile-friendly with sidebar integration\n  * Dark mode support","ref":"Lume.Components.Navbar.html#module-features"},{"type":"module","title":"Examples - Lume.Components.Navbar","doc":"# Basic navbar with heading\n    <.navbar>\n      Dashboard\n    </.navbar>\n\n    # With notifications icon and user profile\n    <.navbar>\n      Settings\n      <:right_content>\n         \n          <.icon_button icon=\"hero-bell\" />\n          <.user_profile user={@current_user} />\n         \n      </:right_content>\n    </.navbar>\n\n    # Simple navbar with custom content\n    <.navbar>\n      Projects\n      <:right_content>\n        <.button>New Project</.button>\n      </:right_content>\n    </.navbar>","ref":"Lume.Components.Navbar.html#module-examples"},{"type":"function","title":"Lume.Components.Navbar.navbar/1","doc":"Renders a navigation bar component.","ref":"Lume.Components.Navbar.html#navbar/1"},{"type":"function","title":"Attributes - Lume.Components.Navbar.navbar/1","doc":"* `sidebar_id` - ID of the sidebar to toggle on mobile, defaults to \"sidebar\"\n  * `menu_toggle` - Whether to show the menu toggle button, defaults to true","ref":"Lume.Components.Navbar.html#navbar/1-attributes"},{"type":"function","title":"Slots - Lume.Components.Navbar.navbar/1","doc":"* `inner_block` - The content to be displayed in the main section of the navbar\n  * `right_content` - Content to display on the right side of the navbar","ref":"Lume.Components.Navbar.html#navbar/1-slots"},{"type":"function","title":"Attributes - Lume.Components.Navbar.navbar/1","doc":"* `sidebar_id` (`:string`) - Defaults to `\"sidebar\"`.\n* `menu_toggle` (`:boolean`) - Defaults to `true`.","ref":"Lume.Components.Navbar.html#navbar/1-attributes"},{"type":"function","title":"Slots - Lume.Components.Navbar.navbar/1","doc":"* `inner_block` (required)\n* `right_content`","ref":"Lume.Components.Navbar.html#navbar/1-slots"},{"type":"module","title":"Lume.Components.Sidebar","doc":"A responsive sidebar component for application navigation.","ref":"Lume.Components.Sidebar.html"},{"type":"module","title":"Features - Lume.Components.Sidebar","doc":"* Responsive design with mobile and desktop layouts\n  * Smooth mobile transitions with backdrop\n  * Customizable content through slots\n  * Support for logo and title\n  * Dark mode support","ref":"Lume.Components.Sidebar.html#module-features"},{"type":"module","title":"Examples - Lume.Components.Sidebar","doc":"# Basic sidebar with branding and navigation\n    <.sidebar>\n      <.brand title=\"My App\" logo=\"/images/logo.svg\">\n      <.nav_items\n        items={[\n          %{icon: \"hero-home\", label: \"Dashboard\", path: \"/\", nav_item: :dashboard},\n          %{icon: \"hero-users\", label: \"Users\", path: \"/users\", nav_item: :users},\n          %{separator: true},\n          %{icon: \"hero-cog\", label: \"Settings\", path: \"/settings\", nav_item: :settings}\n        ]}\n        current_item={:dashboard}\n      />\n    </.sidebar>\n\n    # Sidebar with custom content\n    <.sidebar id=\"admin-sidebar\">\n      <.brand title=\"MyApp Admin Panel\">\n      <.separator />\n       \n         Custom Content \n         Add any content here! \n       \n    </.sidebar>","ref":"Lume.Components.Sidebar.html#module-examples"},{"type":"function","title":"Lume.Components.Sidebar.brand/1","doc":"Renders the branding section of the sidebar.","ref":"Lume.Components.Sidebar.html#brand/1"},{"type":"function","title":"Attributes - Lume.Components.Sidebar.brand/1","doc":"* `title` - Optional title text to display at the top\n  * `logo` - Optional path to logo image","ref":"Lume.Components.Sidebar.html#brand/1-attributes"},{"type":"function","title":"Slots - Lume.Components.Sidebar.brand/1","doc":"* `inner_block` - The content to be displayed below the title","ref":"Lume.Components.Sidebar.html#brand/1-slots"},{"type":"function","title":"Attributes - Lume.Components.Sidebar.brand/1","doc":"* `title` (`:string`) - Defaults to `nil`.\n* `logo` (`:string`) - Defaults to `nil`.","ref":"Lume.Components.Sidebar.html#brand/1-attributes"},{"type":"function","title":"Slots - Lume.Components.Sidebar.brand/1","doc":"* `inner_block`","ref":"Lume.Components.Sidebar.html#brand/1-slots"},{"type":"function","title":"Lume.Components.Sidebar.nav_items/1","doc":"Navigation items component for the sidebar.","ref":"Lume.Components.Sidebar.html#nav_items/1"},{"type":"function","title":"Attributes - Lume.Components.Sidebar.nav_items/1","doc":"* `items` - List of navigation item maps with the following structure:\n      * `icon` - Icon name (for heroicons, use \"hero-*\")\n      * `label` - Display text\n      * `path` - Navigation path\n      * `nav_item` - Atom identifier\n      * `separator` - Boolean to render a separator instead of a nav item\n  * `current_item` - Atom identifying the current navigation item","ref":"Lume.Components.Sidebar.html#nav_items/1-attributes"},{"type":"function","title":"Attributes - Lume.Components.Sidebar.nav_items/1","doc":"* `items` (`:list`) (required)\n* `current_item` (`:atom`) (required)","ref":"Lume.Components.Sidebar.html#nav_items/1-attributes"},{"type":"function","title":"Lume.Components.Sidebar.separator/1","doc":"Renders a separator line.","ref":"Lume.Components.Sidebar.html#separator/1"},{"type":"function","title":"Attributes - Lume.Components.Sidebar.separator/1","doc":"* `class` - Additional CSS classes to apply to the separator","ref":"Lume.Components.Sidebar.html#separator/1-attributes"},{"type":"function","title":"Attributes - Lume.Components.Sidebar.separator/1","doc":"* `class` (`:string`) - Defaults to `nil`.","ref":"Lume.Components.Sidebar.html#separator/1-attributes"},{"type":"function","title":"Lume.Components.Sidebar.sidebar/1","doc":"Renders the main sidebar component.","ref":"Lume.Components.Sidebar.html#sidebar/1"},{"type":"function","title":"Attributes - Lume.Components.Sidebar.sidebar/1","doc":"* `id` - Optional unique identifier for the sidebar, defaults to \"sidebar\"","ref":"Lume.Components.Sidebar.html#sidebar/1-attributes"},{"type":"function","title":"Slots - Lume.Components.Sidebar.sidebar/1","doc":"* `inner_block` - The content to be displayed in the sidebar","ref":"Lume.Components.Sidebar.html#sidebar/1-slots"},{"type":"function","title":"Attributes - Lume.Components.Sidebar.sidebar/1","doc":"* `id` (`:string`) - Defaults to `\"sidebar\"`.","ref":"Lume.Components.Sidebar.html#sidebar/1-attributes"},{"type":"function","title":"Slots - Lume.Components.Sidebar.sidebar/1","doc":"* `inner_block` (required)","ref":"Lume.Components.Sidebar.html#sidebar/1-slots"},{"type":"module","title":"Lume.Components.UtilComponents","doc":"Utility components for Lume components. These are used internally by other Lume components.\nSome of these are copied from the default CoreComponents module.","ref":"Lume.Components.UtilComponents.html"},{"type":"function","title":"Lume.Components.UtilComponents.icon/1","doc":"This is copied from the default CoreComponents.icon/1 but enhanced to handle both string and list classes","ref":"Lume.Components.UtilComponents.html#icon/1"},{"type":"function","title":"Attributes - Lume.Components.UtilComponents.icon/1","doc":"* `name` (`:string`) (required)\n* `class` (`:any`) - Defaults to `nil`.","ref":"Lume.Components.UtilComponents.html#icon/1-attributes"},{"type":"extras","title":"Lume UI","doc":"# Lume UI\n\nLume is a simple UI component library for Phoenix LiveView applications. It provides a set of ready-to-use components for you Phoenix LiveView applications.\n\nI got fed up of reinventing the wheel every time I started a new project, and I don't want to always rely on paid UI libraries, so I decided to extract some of the components that I have created from my previous projects into a library.\n\nI also wanted to fit into 'Vanilla LiveView', and keep the existing CoreComponents that it provides. So one of the primary\ngoal of Lume is to be lightweight, easy to use, customize, and extend.\n\nThis is still in the early stages and currently only provides a handful of components, but I hope to add many more over time.","ref":"readme.html"},{"type":"extras","title":"Features - Lume UI","doc":"- Modern, clean design with dark mode support\n- Built for Phoenix LiveView\n- Simple navigation layout\n- Responsive layouts\n- Customizable with Tailwind CSS","ref":"readme.html#features"},{"type":"extras","title":"Installation - Lume UI","doc":"1. Add Lume to your mix.exs dependencies:\n\n```elixir\ndef deps do\n  [\n    {:lume, \"~> 0.1.0\"}\n  ]\nend\n```\n\n2. Run mix deps.get to install:\n\n```bash\nmix deps.get\n```","ref":"readme.html#installation"},{"type":"extras","title":"Setup - Lume UI","doc":"","ref":"readme.html#setup"},{"type":"extras","title":"1. Configure Tailwind - Lume UI","doc":"Lume components use Tailwind CSS for styling. You need to configure your application's `tailwind.config.js` to include Lume's component paths so they don't get purged by Tailwind:\n\n```javascript\n// assets/tailwind.config.js\nmodule.exports = {\n  content: [\n    \"./js/**/*.js\",\n    \"../lib/*_web/**/*.*ex\",\n    \"../lib/*_web/**/*.heex\",\n    \"../deps/lume/**/*.*ex\"  // Add this line to include Lume components\n  ],\n  // ... rest of your config\n}\n```","ref":"readme.html#1-configure-tailwind"},{"type":"extras","title":"2. Setup Components - Lume UI","doc":"To use Lume components in your Phoenix application, add it to your `html_helpers` function in your web module:\n\n```elixir\ndefmodule MyAppWeb do\n  # ...\n\n  defp html_helpers do\n    quote do\n      use Lume  # This imports all Lume components\n\n      # ... rest of your html_helpers setup\n    end\n  end\nend\n```","ref":"readme.html#2-setup-components"},{"type":"extras","title":"3. Customizing Sidebar Navigation - Lume UI","doc":"Lume provides a simple navigation system that you can customize by providing your own navigation module. Here's how to set it up:\n\n1. Create a navigation module in your application:\n\n```elixir\ndefmodule MyAppWeb.Navigation do\n  @default_items [\n    # Basic navigation item\n    %{icon: \"hero-home\", label: \"Dashboard\", nav_item: :dashboard, path: \"/\"},\n\n    # Add a separator between groups\n    %{separator: true},\n\n    # Another navigation group\n    %{icon: \"hero-users\", label: \"Users\", nav_item: :users, path: \"/users\"},\n    %{icon: \"hero-cog\", label: \"Settings\", nav_item: :settings, path: \"/settings\"}\n  ]\n\n  def default_items do\n    @default_items\n  end\nend\n```\n\n2. In your LiveViews, set the current navigation item:\n\n```elixir\ndefmodule MyAppWeb.UsersLive do\n  use MyAppWeb, :live_view\n\n  def mount(_params, _session, socket) do\n    socket = assign(socket, :current_item, :users)\n    {:ok, socket}\n  end\nend\n```\n\n3. Customize the sidebar appearance:\n\nYou can use the `brand` and `nav_items` components to add a header and navigation items to the sidebar, for example:\n\n```heex\n# Basic sidebar with navigation\n<.sidebar>\n  <.brand title=\"My App\" logo=\"/images/logo.svg\">\n  <.nav_items\n    items={MyAppWeb.Navigation.default_items()}\n    current_item={@current_item}\n  />\n</.sidebar>\n```\n\nYou can also just use the `inner_block` slot to add custom content to the sidebar, for example:\n```heex\n# Sidebar with custom content\n<.sidebar id=\"admin-sidebar\" title=\"Admin Panel\">\n   \n     Custom Content \n     Add any content here! \n   \n</.sidebar>\n```\n\nThe sidebar component supports:\n- `id`: Optional unique identifier for the sidebar, defaults to \"sidebar\"\n\nThe `brand` component supports:\n- `title`: Optional text to display at the top of the sidebar\n- `logo`: Optional path to your logo image\n\nThe `nav_items` component supports:\n- `current_item`: Atom representing the current navigation item\n- `items`: List of navigation items, where each item can be:\n  - Regular item: `%{icon: \"hero-*\", label: \"Label\", nav_item: :atom, path: \"/path\"}`\n  - Separator: `%{separator: true}` to add a visual divider between groups\n\nBy default, the sidebar is 72px wide on desktop. To accommodate it, set the left padding of your main content container to 72px.","ref":"readme.html#3-customizing-sidebar-navigation"},{"type":"extras","title":"Usage - Lume UI","doc":"Lume provides several components out of the box:\n\n- `<.sidebar>` - A responsive sidebar with navigation\n- `<.navbar>` - A top navigation bar\n- `<.avatar>` - A versatile avatar component with image support and fallback initials\n- `<.badge>` - A flexible badge component for status indicators and labels\n- More components coming soon...\n\nExample usage in a Phoenix LiveView `app.html.heex` layout template:\n\n```heex\n<.sidebar>\n  <.brand title=\"My App\" logo=\"/images/logo.svg\" />\n  <.nav_items\n    items={MyAppWeb.Navigation.default_items()}\n    current_item={:dashboard}\n  />\n</.sidebar>\n \n  <.navbar>\n    Dashboard\n    <:right_content>\n      <.avatar\n        alt=\"John Doe\"\n        fallback=\"JD\"\n        image_url=\"/images/john.jpg\"\n      />\n    </:right_content>\n  </.navbar>\n \n```","ref":"readme.html#usage"},{"type":"extras","title":"Navbar Component - Lume UI","doc":"The navbar component is a flexible top navigation bar that supports responsive design and custom right-side content:\n\n```heex\n# Basic navbar with heading\n<.navbar>\n  Dashboard\n  <:right_content>\n     \n      <.icon name=\"hero-bell\" class=\"h-6 w-6\" />\n     \n  </:right_content>\n</.navbar>\n```\n\nBy default, the navbar will show a mobile menu toggle (aka 'hamburger menu') on mobile (or when the screen is too narrow),\nbut you can disable it by setting `menu_toggle` to `false`:\n\n```heex\n<.navbar menu_toggle={false}>\n  Dashboard\n  <:right_content>\n     \n      <.icon name=\"hero-bell\" class=\"h-6 w-6\" />\n     \n  </:right_content>\n</.navbar>\n```","ref":"readme.html#navbar-component"},{"type":"extras","title":"Avatar Component - Lume UI","doc":"The avatar component supports images with fallback initials, multiple sizes, and status indicators:\n\n```heex\n# Basic avatar with image\n<.avatar\n  alt=\"John Doe\"\n  fallback=\"JD\"\n  image_url=\"/images/john.jpg\"\n/>\n\n# Avatar with status indicator\n<.avatar\n  alt=\"Alan B\"\n  fallback=\"AB\"\n  show_dot\n  dot_variant={:success}\n/>\n\n# Custom size and shape\n<.avatar\n  alt=\"User\"\n  fallback=\"U\"\n  size={:lg}\n  shape={:square}\n/>\n```","ref":"readme.html#avatar-component"},{"type":"extras","title":"Badge Component - Lume UI","doc":"The badge component is perfect for status indicators, labels, and counts:\n\n```heex\n# Basic badge\n<.badge>Default</.badge>\n\n# Status badge with icon\n<.badge variant={:success} icon=\"hero-check-circle\">\n  Active\n</.badge>\n\n# Warning badge with dot\n<.badge variant={:warning} show_dot>\n  Pending\n</.badge>\n\n# Custom styled badge\n<.badge\n  variant={:primary}\n  size={:lg}\n  shape={:flat}\n  bordered\n>\n  Featured\n</.badge>\n```","ref":"readme.html#badge-component"},{"type":"extras","title":"Copyright and License - Lume UI","doc":"Copyright (c) 2024 Alan Bradburne\n\nThis library is released under the MIT License. See the\n[LICENSE.md](./LICENSE.md) file.","ref":"readme.html#copyright-and-license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}